import { RedisPersistence } from 'y-redis';
import { Extension, onChangePayload, onConfigurePayload, onConnectPayload, onCreateDocumentPayload, onDestroyPayload, onDisconnectPayload, onListenPayload, onRequestPayload, onUpgradePayload } from '@hocuspocus/server';
export interface Configuration {
}
export declare class Redis implements Extension {
    configuration: Configuration;
    cluster: boolean;
    persistence: RedisPersistence;
    /**
     * Constructor
     */
    constructor(configuration?: Partial<Configuration>);
    onCreateDocument(data: onCreateDocumentPayload): Promise<void>;
    onConnect(data: onConnectPayload): Promise<void>;
    onChange(data: onChangePayload): Promise<void>;
    onDisconnect(data: onDisconnectPayload): Promise<void>;
    onListen(data: onListenPayload): Promise<void>;
    onDestroy(data: onDestroyPayload): Promise<void>;
    onConfigure(data: onConfigurePayload): Promise<void>;
    onRequest(data: onRequestPayload): Promise<void>;
    onUpgrade(data: onUpgradePayload): Promise<void>;
}
