import { Extension, onChangePayload, onConfigurePayload, onConnectPayload, onCreateDocumentPayload, onDestroyPayload, onDisconnectPayload, onListenPayload, onRequestPayload, onUpgradePayload } from '@hocuspocus/server';
import { LeveldbPersistence } from 'y-leveldb';
export interface Configuration {
    options: object | undefined;
    path: string;
}
export declare class RocksDB implements Extension {
    configuration: Configuration;
    provider: LeveldbPersistence;
    /**
     * Constructor
     */
    constructor(configuration?: Partial<Configuration>);
    /**
     * onCreateDocument hook
     */
    onCreateDocument(data: onCreateDocumentPayload): Promise<any>;
    /**
     * store updates in y-leveldb persistence
     */
    store(documentName: string, update: Uint8Array): Promise<any>;
    onChange(data: onChangePayload): Promise<void>;
    onConnect(data: onConnectPayload): Promise<void>;
    onDisconnect(data: onDisconnectPayload): Promise<void>;
    onListen(data: onListenPayload): Promise<void>;
    onDestroy(data: onDestroyPayload): Promise<void>;
    onConfigure(data: onConfigurePayload): Promise<void>;
    onRequest(data: onRequestPayload): Promise<void>;
    onUpgrade(data: onUpgradePayload): Promise<void>;
}
