import { Extension, onChangePayload, onConfigurePayload, onConnectPayload, onCreateDocumentPayload, onDestroyPayload, onDisconnectPayload, onListenPayload, onRequestPayload, onUpgradePayload } from '@hocuspocus/server';
export interface Configuration {
    throttle: number | null | false;
    banTime: number;
}
export declare class Throttle implements Extension {
    configuration: Configuration;
    connectionsByIp: Map<string, Array<number>>;
    bannedIps: Map<string, number>;
    /**
     * Throttle requests
     * @private
     */
    private throttle;
    /**
     * onConnect hook
     * @param data
     */
    onConnect(data: onConnectPayload): Promise<any>;
    onCreateDocument(data: onCreateDocumentPayload): Promise<void>;
    onChange(data: onChangePayload): Promise<void>;
    onDisconnect(data: onDisconnectPayload): Promise<void>;
    onUpgrade(data: onUpgradePayload): Promise<void>;
    onRequest(data: onRequestPayload): Promise<void>;
    onListen(data: onListenPayload): Promise<void>;
    onDestroy(data: onDestroyPayload): Promise<void>;
    onConfigure(data: onConfigurePayload): Promise<void>;
}
